Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
Posts: 4
Registered: ‎12-16-2010
My Device: BlackVerry 8250

OS 4.6.1 application's support on OS 5

Hi,

I developed an application for OS 4.6.1 should it necessarily be supported by all later OS versions?? Like is it necessary for OS 5 to support this app ?
In simple words is OS5 backword competible till their first OS version they ever launched?
Thanks

Regards,
Adil

Highlighted
Developer
Posts: 1,807
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.3.2.858, Z10 (STL100-3)-10.3.1.2576, Z30 (STA100-5)-10.3.1.2582, Passport (SQW100-1)-10.3.1.2576, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: OS 4.6.1 application's support on OS 5

In simple terms, yes.

 

You write an app for OS 4.2 and it will run on OS 6 (let alone 5).

 

Of course testing is still necessery.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: OS 4.6.1 application's support on OS 5

I think there is a 'gotcha' - compatibility mode.

 

If you compile using a OS level pre 4.7, and run this in a Storm, it will run in compatibility mode, where it tries to display a key board and a portrait mode screen only.  The screen has blue edges.  So I always recommend compiling in 4.7 for use on Storm devices.  You can get the users to set compatibility mode of in the options.

 

Not this assumes you have written a generic application that can cope with both keyboard and touch screen, especially the touchscreen ability to 'tilt.